DWEB - All Hotels, misc - WI #49

Bl Foundation Contacts
10/02/2025 12:31 PM - Sieu Ngo

Status: New Start date: 10/02/2025
Priority: Medium Due date:

Assignee: Sieu Ngo % Done: 0%
Category: Estimated time: 0.00 hour
Description

Budget Inn Foundation Notes

History

#1 - 10/02/2025 12:45 PM - Sieu Ngo

- Assignee set to Sieu Ngo

#2 - 11/06/2025 11:26 AM - Sieu Ngo

Person who came sept 15th, 2025
623 693 0551
Dustin .. Dalinghaus Construction

https://printzengineeringservices.com/

I met with an engineering firm today to review your project. They can definitely help with the structural engineering of the project and getting it up to
code. They would like to speak with you and get more details about what is being required from the city. Please see their contact info below.
tprintz@printzengineeringservices.com

#3 - 11/06/2025 11:33 AM - Sieu Ngo

505 907 0330
Came out Aug 19th
He Never Followed Up With email

12/06/2025 1/1
